bashrc separated into files
[dotfiles/.git] / .config / bashrc / alias
diff --git a/.config/bashrc/alias b/.config/bashrc/alias
new file mode 100644 (file)
index 0000000..74eddae
--- /dev/null
@@ -0,0 +1,37 @@
+#!/bin/bash
+# enable color support of ls and also add handy aliases
+if [ -x /usr/bin/dircolors ]; then
+    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
+    alias ls='ls -hN --color=auto --group-directories-first'
+    #alias dir='dir --color=auto'
+    #alias vdir='vdir --color=auto'
+
+    alias grep='grep --color=auto'
+    alias fgrep='fgrep --color=auto'
+    alias egrep='egrep --color=auto'
+fi
+
+# some more ls aliases
+alias ll='ls -alF'
+alias la='ls -A'
+alias l='ls -CF'
+
+
+
+alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
+
+
+#byebye for shutdown
+alias byebye='shutdown now'
+
+
+
+# use highlight for colored cat
+alias ccat='highlight --out-format=ansi'
+
+# wifi available
+alias wifi='nmcli d wifi';
+
+
+
+alias autowal='wal --iterative -i /usr/share/backgrounds/ > /dev/null'